[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.DestroyWnd

Performs actions needed when the handle for the control is destroyed.

## Declaration

Source position: comctrls.pp line 3603

`protected procedure TCustomTreeView.DestroyWnd; override;`

## Description

Includes the tvsStateChanging flag in the States property, and calls the inherited method. Ensures that the Canvas handle has been freed after calling the inherited method. Resets size values in the ScrollInfo for the horizontal and vertical scroll bars.

## See also

TWinControl.DestroyWnd |  | Destroys the interface object (widget).